ServerEvents.recipes(event => {

    event.shaped('mysticalagriculture:prosperity_shard', [
      ' A ',
      'ABA',
      ' A '
    ], {
      A: 'minecraft:feather',
      B: 'minecraft:iron_block'
    })

    event.shaped('mysticalagriculture:master_infusion_crystal', [
      'ABA',
      'BCB',
      'ABA'
    ], {
      A:'mysticalagradditions:insanium_essence',
      B:'mysticalagriculture:prosperity_shard',
      C:'mysticalagriculture:infusion_crystal'
    })

    event.custom({
        type: 'minecraft:smelting',
        ingredient: { item: 'minecraft:soul_sand' },
        result: 'mysticalagriculture:soulstone_cobble',
        experience: 0,
        cookingtime: 200
      }).id('kubejs:smelt_soulstone_cobble')

    event.custom({
        type: "mysticalagriculture:infusion",
        input: { item: 'projectexpansion:final_star'},
        ingredients: [
          { item: 'avaritia:infinity_catalyst' },
          { item: 'mystical_extended_tier:tornium_essence' },
          { item: 'avaritia:infinity_catalyst' },
          { item: 'mystical_extended_tier:tornium_essence' },
          { item: 'avaritia:infinity_catalyst' },
          { item: 'mystical_extended_tier:tornium_essence' },
          { item: 'avaritia:infinity_catalyst' },
          { item: 'mystical_extended_tier:tornium_essence' },
          
          
        ],
        result: { item: 'mysticalagriculture:infinity_catalyst_seeds'},
        craftingTime: 100
      })

    event.custom({
        type: "mysticalagriculture:infusion",
        input: { item: 'projectexpansion:final_star'},
        ingredients: [
          { item: 'avaritia:infinity' },
          { item: 'mystical_extended_tier:tornium_essence' },
          { item: 'avaritia:infinity' },
          { item: 'mystical_extended_tier:tornium_essence' },
          { item: 'avaritia:infinity' },
          { item: 'mystical_extended_tier:tornium_essence' },
          { item: 'avaritia:infinity' },
          { item: 'mystical_extended_tier:tornium_essence' },
          
          
        ],
        result: { item: 'mysticalagriculture:infinity_seeds'},
        craftingTime: 100
      })

    event.recipes.botanypots.crop(
        'mysticalagriculture:infinity_catalyst_seeds',
        ['mystical_extended_tier:infinity_crux'], 
        { block: 'mysticalagriculture:infinity_catalyst_crop' }, 
        [
          Item.of('mysticalagriculture:infinity_catalyst_essence')
            .withChance(100)
            .withRolls(1, 2)
        ],
        4800 
      )


    event.recipes.botanypots.crop(
        'mysticalagriculture:infinity_seeds',
        ['mystical_extended_tier:infinity_crux'], 
        { block: 'mysticalagriculture:infinity_crop' }, 
        [
          Item.of('mysticalagriculture:infinity_essence')
            .withChance(100)
            .withRolls(1, 2)
        ],
        4800 
      )


    event.recipes.botanypots.crop(
        'mysticalagriculture:prudentium_seeds',
        ['mysticalagriculture:prudentium_farmland'], 
        { block: 'mysticalagriculture:prudentium_crop' }, 
        [
          Item.of('mysticalagriculture:prudentium_essence')
            .withChance(100)
            .withRolls(1, 2)
        ],
        1200 
      )

    event.recipes.botanypots.soil(
        'mysticalagriculture:prudentium_farmland',
        { block: 'mysticalagriculture:prudentium_farmland' }, 
        ['mysticalagriculture:prudentium_farmland'], 
        10, 
        0.5 
      )

    event.recipes.botanypots.crop(
        'mysticalagriculture:tertium_seeds',
        ['mysticalagriculture:tertium_farmland'], 
        { block: 'mysticalagriculture:tertium_crop' }, 
        [
          Item.of('mysticalagriculture:tertium_essence')
            .withChance(100)
            .withRolls(1, 2)
        ],
        1200
      )

    event.recipes.botanypots.soil(
        'mysticalagriculture:tertium_farmland',
        { block: 'mysticalagriculture:tertium_farmland' }, 
        ['mysticalagriculture:tertium_farmland'], 
        10, 
        0.5 
      )

    event.custom({
      type: 'powah:energizing',
      ingredients: [
        { item: 'extendedcrafting:luminessence'},
        { item: 'thermal:gunpowder_block'}
      ],
      energy: 500000,
      result: {
        item: 'mysticalagriculture:cognizant_dust'
      }
    })

    event.custom({
        "type": "extendedcrafting:shaped_table",
        "pattern": [
          "AAAABAAAA",
          "ACCDBDCCA",
          "ACEDBDECA",
          "ADDDBDDDA",
          "BBBBFBBBB",
          "ADDDBDDDA",
          "ACEDBDECA",
          "ACCDBDCCA",
          "AAAABAAAA"
        ],
        "key": {
          "A": {
            "item": "mystical_extended_tier:lightium_essence"
          },
          "B": {
            "item": "mystical_extended_tier:ouranium_essence"
          },
          "C": {
            "item": "mystical_extended_tier:ouranium_gemstone"
          },
          "D": {
            "item": "mystical_extended_tier:tornium_essence"
          },
          "E": {
            "item": "extendedcrafting:the_ultimate_catalyst"
          },
          "F": {
            "item": "mysticalagriculture:master_infusion_crystal"
          }
        },
        "result": {
          "item": 'mysticalagradditions:creative_essence'
      }
    })

    event.shaped('mystical_extended_tier:ornium_essence', [
      ' A ',
      'BCB',
      ' A '
    ], {
      A: 'mysticalagriculture:awakened_supremium_essence',
      B: 'mysticalagradditions:insanium_essence',
      C: '#mysticalagriculture:infusion_crystals'
    })
})